/* Written by Yong Li, Depeng Liu                                       */
/* Copyright (c) 2016                  	                               */
/* This program is free software: you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, either version 3 of the License, or    */
/* (at your option) any later version.                                  */

/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */

/* You should have received a copy of the GNU General Public License    */
/* along with this program.  If not, see <http://www.gnu.org/licenses/>.*/

package cn.ac.ios.wlearner;

import cn.ac.ios.automata.Automaton;
import cn.ac.ios.learner.buechi.ldollar.LDollartoBuchi;
import cn.ac.ios.query.EquivalenceOracle;

public class EquivalenceOracleImpl implements EquivalenceOracle<Automaton, Boolean>{

	public Boolean answerEquivalenceQuery(boolean checkInclusion, LDollartoBuchi LD){
	    boolean answer = false;
		if(checkInclusion) {
		System.out.println("The büchi automaton:");
		System.out.println(LD.start().toDot());
		System.out.println("Is this automaton the unknown automaton: 1/0?");
		answer = InputHelper.getInputAnswer();
		}
		return answer;
		}
	
	@Override
	public Boolean answerEquivalenceQuery(Automaton automaton) {	
		return null;
	}
	
}
